"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseQuery = void 0;
const graphql_1 = require("graphql");
exports.parseQuery = (gqlQuery) => {
    var _a, _b;
    let selection = '';
    let operation = '';
    try {
        const op = graphql_1.getOperationAST(graphql_1.parse(gqlQuery), undefined);
        operation = (_b = (_a = op === null || op === void 0 ? void 0 : op.name) === null || _a === void 0 ? void 0 : _a.value) !== null && _b !== void 0 ? _b : '';
        const selections = op === null || op === void 0 ? void 0 : op.selectionSet.selections;
        selection =
            (Array.isArray(selections) &&
                selections.length > 0 &&
                selections[0].name.value) ||
                '';
    }
    catch (error) {
        throw new TypeError(`Invalid GQL query: ${gqlQuery}: "${error.message}"`);
    }
    return {
        selection,
        operation,
    };
};
