"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.fetchStackConfiguration = void 0;
const aws_sdk_1 = require("aws-sdk");
exports.fetchStackConfiguration = async ({ StackName, region, }) => {
    var _a, _b;
    const cf = new aws_sdk_1.CloudFormation({
        region,
    });
    const { Stacks } = await cf.describeStacks({ StackName }).promise();
    if (!Stacks) {
        throw new Error(`Unknown stack "${StackName}"!`);
    }
    const Outputs = (_b = (_a = Stacks[0]) === null || _a === void 0 ? void 0 : _a.Outputs) !== null && _b !== void 0 ? _b : [];
    return Outputs.reduce((outputs, { OutputKey, OutputValue }) => ({
        ...outputs,
        [OutputKey]: OutputValue,
    }), {});
};
